Partial update item

Endpoint for partially updating an existing item.

Path Params
string
required
Body Params

A product or service the organization buys or sells.

string
enum

How the cost of the stock of a tracked item is calculated: from the oldest units on hand first (FIFO) or at the running average of the units on hand. Defaults to the weighted average. Changing it re-costs the sales of the item from the date the new method takes effect.

View the enum reference

Allowed:
date | null

The date the costing method took effect, null when it applies to the whole history of the item. When the costing method is changed, the date the new method takes effect from: at the earliest the day after the last closed period and after the previous change, by default the start of the current fiscal year. Sales before it keep their cost.

string

The description of the item.

string | null

The expense account for this item.

string
length ≤ 255

External identifier for the item.

boolean
Defaults to true

Whether the item is active.

boolean
Defaults to false

Whether inventory is tracked for this item.

item_units_of_measure
array of objects

The units of measure for this item.

item_units_of_measure
string
length ≤ 200

The name of the item.

string | null

The tax rate applied when purchasing this item: the ID of the tax rate (tax_…). List the tax rates of the organization with GET /v1/tax-rates/.

string | null

The revenue account for this item.

string | null

The tax rate applied when selling this item: the ID of the tax rate (tax_…). List the tax rates of the organization with GET /v1/tax-rates/.

string
length ≤ 200

The SKU of the item.

tax_authority

The tax authority reporting settings of the item.

double | null

The default unit cost of the item if no unit of measure is specified.

double | null

The default unit price of the item if no unit of measure is specified.

Headers
string

Client-provided UUID to uniquely identify a request

string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json